%define debug_package %{nil}

Name:		libpff
Version:        20161119
Release:	1%{?dist}
Summary:	Library to to access the Personal Folder File (PFF) and the Offline Folder File (OFF) format. PFF is used in PAB (Personal Address Book), PST (Personal Storage Table) and OST (Offline Storage Table) files.
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		http://code.google.com/p/libpff/
BuildRoot:	%{_tmppath}/%{name}-%{version}-experimental-%{release}-root-%(%{__id_u} -n)
Requires:	zlib
BuildRequires:	zlib-devel
BuildRequires:	libbfio-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool

%description
libpff is a library to access the Personal Folder File (PFF) and the Offline Folder File (OFF) format. PFF is used in PAB (Personal Address Book), PST (Personal Storage Table) and OST (Offline Storage Table) files.

%package devel
Summary:	Header files and libraries for developing applications for libpff
Group:		Development/Libraries
Requires:	libpff = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libpff.

%package tools
Summary:	Several tools for reading Personal Folder Files (OST, PAB and PST)
Group:		Applications/System
Requires:	libpff = %{version}-%{release} 
# @libevt_tools_spec_build_requires@ 

%description tools
Several tools for reading Personal Folder Files (OST, PAB and PST)

%package python
Summary:	Python binding for libpff
Group:		System Environment/Libraries
Requires:	libpff = %{version}-%{release} python
%if 0%{?centos} == 5
BuildRequires:	python26-devel
%else
BuildRequires:	python-devel
%endif

%description python
Python binding for libpff

%prep
%setup -q -n %{name}-%{version}

%build
%configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} --enable-python --with-libbfio
%if 0%{?rhel} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pypff/Makefile
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libpff.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/pffexport
%attr(755,root,root) %{_bindir}/pffinfo
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/python*/site-packages/*.so*
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%changelog
* Sat Nov 19 2016 Lawrence R. Rogers <lrr@cert.org> 20161119-1
* Release 20161119-1
	Version from 20161119

* Wed Jun 29 2016 Joachim Metz <joachim.metz@gmail.com> 2016011001-2
* Release 20160110-2
	No debug information

* Sun Jan 10 2016 Joachim Metz <joachim.metz@gmail.com> 2016011001
* Release 20160110-1
	20160110
	* worked on Python 3 support

	20160107
	* 2016 update

* Wed Sep  9 2015 Joachim Metz <joachim.metz@gmail.com> 20131028-3
* Release 20131028-3
	Rebuilt to use external version of libbfio to solve a problem with DFF.

* Sun May 31 2015 Joachim Metz <joachim.metz@gmail.com> 20131028-2
* Release 20131028-2
	Libuna GCC-5 Patch

* Mon Oct 28 2013 Joachim Metz <joachim.metz@gmail.com> 20131028-1
* Release 20131028-1
	20131018
	* worked on compressed OST support
	  - local descriptors 

	20131014
	* worked on compressed OST support
	  - local descriptors 

	20131013
	* worked on python bindings
	* worked on compressed OST support
	  - local descriptors 
	* updated dependencies

	20130929
	* worked on setup.py, largely for MSI builds
	* worked on compressed OST support
	  - local descriptors 
	* code clean up
	* update msvscpp files

	20130922
	* code clean up
	* worked on compressed OST support
	  - local descriptors 

	20130915
	* worked on compressed OST support
	  - local descriptors 

	20130902
	* worked on compressed OST support
	  - local descriptors 

	20130901
	* added libcthreads build support

	20130831
	* worked tests

	20130817
	* refactored local descriptors
	* worked on compressed OST support
	  - local descriptors 

	20130812
	* worked on compressed OST support
	  - local descriptors 

	20130807
	* worked on compressed OST support
	  - table reference

	20130806
	* worked on compressed OST support
	  - data array
	  - table reference

	20130805
	* worked on recovery in compressed OST files

	20130804
	* updated dependencies
	* worked on record entry values array number out of bounds issue
	* refactored table index values to use libcdata array
	* fixed invalid return code in error path
	* worked on recovery in compressed OST files

	20130731
	* worked on fixing out of bounds read of name to id map string in an error
	  toloreant way
	* Added is corrupted function

	20130730
	* worked on name to id map string out of bounds issue
	* worked on record entry values array number out of bounds issue

	20130728
	* Worked on 64-bit 4k pages support
	* Worked on item recovery

	20130722
	* Worked on compressed OST support

	20130721
	* worked on major refactor
	* updated msvscpp files
	* worked on pypff

	20130720
	* worked on major refactor
	* worked on pypff

	20130719
	* worked on major refactor

	20130718
	* worked on major refactor

	20130713
	* worked on major refactor
	* worked on tests
	* fix for handling floating point values in item file

	20130718
	* worked on major refactor

	20130716
	* worked on major refactor

	20130714
	* worked on major refactor

	20130712
	* worked on major refactor

	20130704
	* worked on major refactor

	20130625
	* worked on major refactor

	20130620
	* worked on major refactor

	20130619
	* worked on major refactor

	20130618
	* worked on major refactor

	20130617
	* worked on major refactor

	20130616
	* worked on major refactor

	20130609
	* updated dependencies

	20130514
	* updated dependencies

	20130413
	* updated dependencies

	20130326
	* worked on API by_utf8_name and by_utf16_name functions
	* worked on libcdata rewrite

	20130325
	* worked on API by_utf8_name and by_utf16_name functions

	20130224
	* worked on compresses OST support
	* worked on libfdata update

	20130223
	* worked on 64-bit 4k page file format support
	* worked on compresses OST support
	* code clean up
	* bug fixes in error path
	* improved debug output

	20130220
	* pffexport:
	  - worked on IPM.DistList support
	* changes to spec file

	20130203
	* libpff
	  - fixes in error code paths
	* libfmapi
	  - improved debug output
	  - fixes in error code paths

	20130202
	* pffexport:
	  - added message flags
	  - improved output of flag types
	  - worked on IPM.DistList support
	* tests:
	  - added pffinfo test
	* libfmapi
	  - improved debug output
	* updated macosx files

	20130114
	* 2013 update
	* updated dependencies

	20120113
	* removed contrib in favor of sed conversion scripts

	20121123
	* pypff: code clean

	20121108
	* worked on libcdata integration
	* code clean up

	20121107
	* worked on libcdata integration
	* code clean up

	20121105
	* worked on libcdata integration

	20121104
	* updated dependencies
	* pypff: bug fixes
	* worked on libcdata integration

	20120808
	* renamed crc32 to checksum in libfmapi
	* code clean up

* Tue Apr 24 2012 Joachim Metz <joachim.metz@gmail.com> 20120424-1
- Changes due to dependency changes

* Tue Oct 18 2011 Joachim Metz <joachim.metz@gmail.com> 20111018-1
- Update for configure changes and README files
- Added support for Python bindings

* Tue Jun 29 2010 Joachim Metz <joachim.metz@gmail.com> 20100629-1
- Clean up of previous version of spec file

